org.firebirdsql.jna.fbclient

## Interface FbClientLibrary

- All Superinterfaces:
    com.sun.jna.Library
  All Known Subinterfaces:
    WinFbClientLibrary

      public interface FbClientLibrary
      extends com.sun.jna.Library

  JNA Wrapper for library implementing ibase.h.

  Do not use this version on Windows, use `WinFbClientLibrary` instead.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate! Some methods defined in `ibase.h` deemed irrelevant for Jaybird were removed from the interface.

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FbClientLibrary.FbShutdownCallback` FbShutdown callback.
    `static interface` | `FbClientLibrary.IscEventCallback` IscEvent callback.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `com.sun.jna.Library.Handler`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_SYMBOL_PROVIDER, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISC_STATUS` | `fb_cancel_operation(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, short kind)` Original signature : `ISC_STATUS fb_cancel_operation(ISC_STATUS*, isc_db_handle*, ISC_USHORT)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1296
    `ISC_STATUS` | `fb_disconnect_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS fb_disconnect_transaction(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:770
    `ISC_STATUS` | `fb_dsql_set_timeout(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, int timeoutMs)` Original signature : `ISC_STATUS ISC_EXPORT fb_dsql_set_timeout(ISC_STATUS*, isc_stmt_handle*, ISC_ULONG)` native declaration : D:\DevSoft\FB_tests\Firebird-4.0.0.1691-0_x64\include\ibase.h:629
    `int` | `fb_interpret(java.nio.ByteBuffer buffer, int int1, com.sun.jna.ptr.PointerByReference statusVector)` This const params version used in the engine and other places. Original signature : `ISC_LONG fb_interpret(ISC_SCHAR*, unsigned int, const ISC_STATUS**)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:703
    `ISC_STATUS` | `fb_shutdown_callback(ISC_STATUS[] statusVector, FbClientLibrary.FbShutdownCallback FB_SHUTDOWN_CALLBACK1, int int1, com.sun.jna.Pointer voidPtr1)` Original signature : `ISC_STATUS fb_shutdown_callback(ISC_STATUS*, FB_SHUTDOWN_CALLBACK, const int, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1291
    `int` | `fb_shutdown(int int1, int int2)` Original signature : `int fb_shutdown(unsigned int, const int)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1289
    `void` | `fb_sqlstate(java.nio.ByteBuffer charPtr1, ISC_STATUS[] statusVector)` Original signature : `void fb_sqlstate(char*, const ISC_STATUS*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:777
    `ISC_STATUS` | `isc_add_user(ISC_STATUS[] statusVector, USER_SEC_DATA USER_SEC_DATAPtr1)` Original signature : `ISC_STATUS isc_add_user(ISC_STATUS*, const USER_SEC_DATA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:843
    `ISC_STATUS` | `isc_array_get_slice(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, GDS_QUAD_t arrayId, ISC_ARRAY_DESC desc, com.sun.jna.Pointer destArray, java.nio.IntBuffer sliceLength)` Original signature : `ISC_STATUS isc_array_get_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, const ISC_ARRAY_DESC*, void*, ISC_LONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:417
    `ISC_STATUS` | `isc_array_lookup_bounds(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, byte[] tableName, byte[] columnName, ISC_ARRAY_DESC desc)` Original signature : `ISC_STATUS isc_array_lookup_bounds(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const ISC_SCHAR*, ISC_ARRAY_DESC*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:425
    `ISC_STATUS` | `isc_array_lookup_desc(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, byte[] tableName, byte[] columnName, ISC_ARRAY_DESC desc)` Original signature : `ISC_STATUS isc_array_lookup_desc(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const ISC_SCHAR*, ISC_ARRAY_DESC*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:432
    `ISC_STATUS` | `isc_array_put_slice(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, GDS_QUAD_t arrayId, ISC_ARRAY_DESC desc, com.sun.jna.Pointer sourceArray, java.nio.IntBuffer sliceLength)` Original signature : `ISC_STATUS isc_array_put_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, const ISC_ARRAY_DESC*, void*, ISC_LONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:447
    `ISC_STATUS` | `isc_array_set_desc(ISC_STATUS[] statusVector, byte[] tableName, byte[] columnName, short[] sqlDtype, short[] sqlLength, short[] dimensions, ISC_ARRAY_DESC desc)` Original signature : `ISC_STATUS isc_array_set_desc(ISC_STATUS*, const ISC_SCHAR*, const ISC_SCHAR*, const short*, const short*, const short*, ISC_ARRAY_DESC*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:439
    `ISC_STATUS` | `isc_attach_database(ISC_STATUS[] statusVector, short dbNameLength, byte[] dbName, com.sun.jna.ptr.IntByReference dbHandle, short paramBufferLength, byte[] paramBuffer)` Original signature : `ISC_STATUS isc_attach_database(ISC_STATUS*, short, const ISC_SCHAR*, isc_db_handle*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:404
    `void` | `isc_blob_default_desc(ISC_BLOB_DESC desc, byte[] tableName, byte[] columnName)` Original signature : `void isc_blob_default_desc(ISC_BLOB_DESC*, const ISC_UCHAR*, const ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:455
    `ISC_STATUS` | `isc_blob_gen_bpb(ISC_STATUS[] statusVector, ISC_BLOB_DESC toDesc, ISC_BLOB_DESC fromDesc, short bpbBufferLength, java.nio.ByteBuffer bpbBuffer, java.nio.ShortBuffer bpbLength)` Original signature : `ISC_STATUS isc_blob_gen_bpb(ISC_STATUS*, const ISC_BLOB_DESC*, const ISC_BLOB_DESC*, unsigned short, ISC_UCHAR*, unsigned short*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:459
    `ISC_STATUS` | `isc_blob_info(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle, short itemListBufferLength, byte[] itemListBuffer, short resultBufferLength, java.nio.ByteBuffer resultBuffer)` Original signature : `ISC_STATUS isc_blob_info(ISC_STATUS*, isc_blob_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:466
    `ISC_STATUS` | `isc_blob_lookup_desc(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, byte[] tableName, byte[] columnName, ISC_BLOB_DESC desc, java.nio.ByteBuffer global)` Original signature : `ISC_STATUS isc_blob_lookup_desc(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_UCHAR*, const ISC_UCHAR*, ISC_BLOB_DESC*, ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:473
    `ISC_STATUS` | `isc_blob_set_desc(ISC_STATUS[] statusVector, byte[] tableName, byte[] columnName, short subType, short charset, short segmentSize, ISC_BLOB_DESC desc)` Original signature : `ISC_STATUS isc_blob_set_desc(ISC_STATUS*, const ISC_UCHAR*, const ISC_UCHAR*, short, short, short, ISC_BLOB_DESC*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:481
    `ISC_STATUS` | `isc_cancel_blob(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle)` Original signature : `ISC_STATUS isc_cancel_blob(ISC_STATUS*, isc_blob_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:489
    `ISC_STATUS` | `isc_cancel_events(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference eventId)` Original signature : `ISC_STATUS isc_cancel_events(ISC_STATUS*, isc_db_handle*, ISC_LONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:492
    `ISC_STATUS` | `isc_close_blob(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle)` Original signature : `ISC_STATUS isc_close_blob(ISC_STATUS*, isc_blob_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:496
    `ISC_STATUS` | `isc_close(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_close(ISC_STATUS*, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:940
    `ISC_STATUS` | `isc_commit_retaining(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS isc_commit_retaining(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:499
    `ISC_STATUS` | `isc_commit_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS isc_commit_transaction(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:502
    `ISC_STATUS` | `isc_compile_request(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, short s1, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_compile_request(ISC_STATUS*, isc_db_handle*, isc_req_handle*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:853
    `ISC_STATUS` | `isc_compile_request2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, short s1, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_compile_request2(ISC_STATUS*, isc_db_handle*, isc_req_handle*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:859
    `ISC_STATUS` | `isc_create_blob(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, GDS_QUAD_t blobId)` Original signature : `ISC_STATUS isc_create_blob(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:505
    `ISC_STATUS` | `isc_create_blob2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, GDS_QUAD_t blobId, short bpbLength, byte[] bpb)` Original signature : `ISC_STATUS isc_create_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:511
    `ISC_STATUS` | `isc_create_blob2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, com.sun.jna.ptr.LongByReference blobId, short bpbLength, byte[] bpb)` Original signature : `ISC_STATUS isc_create_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:511
    `ISC_STATUS` | `isc_create_database(ISC_STATUS[] statusVector, short dbNameLength, byte[] dbName, com.sun.jna.ptr.IntByReference dbHandle, short paramBufferLength, byte[] paramBuffer, short dialect)` Original signature : `ISC_STATUS isc_create_database(ISC_STATUS*, short, const ISC_SCHAR*, isc_db_handle*, short, const ISC_SCHAR*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:519 TODO: Interbase 6.0 API doc mentions this shouldn't be called
    `ISC_STATUS` | `isc_database_info(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, short itemListBufferLength, byte[] itemListBuffer, short resultBufferLength, java.nio.ByteBuffer resultBuffer)` Original signature : `ISC_STATUS isc_database_info(ISC_STATUS*, isc_db_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:527
    `ISC_STATUS` | `isc_ddl(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short s1, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_ddl(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:865
    `ISC_STATUS` | `isc_declare(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1, byte[] ISC_SCHARPtr2)` Original signature : `ISC_STATUS isc_declare(ISC_STATUS*, const ISC_SCHAR*, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:943
    `void` | `isc_decode_date(GDS_QUAD_t[] ISC_QUADPtr1, com.sun.jna.Pointer voidPtr1)` Original signature : `void isc_decode_date(const ISC_QUAD*, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:534
    `void` | `isc_decode_sql_date(int[] ISC_DATEPtr1, com.sun.jna.Pointer voidPtr1)` Original signature : `void isc_decode_sql_date(const ISC_DATE*, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:537
    `void` | `isc_decode_sql_time(int[] ISC_TIMEPtr1, com.sun.jna.Pointer voidPtr1)` Original signature : `void isc_decode_sql_time(const ISC_TIME*, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:540
    `void` | `isc_decode_timestamp(ISC_TIMESTAMP ISC_TIMESTAMPPtr1, com.sun.jna.Pointer voidPtr1)` Original signature : `void isc_decode_timestamp(const ISC_TIMESTAMP*, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:543
    `ISC_STATUS` | `isc_delete_user(ISC_STATUS[] statusVector, USER_SEC_DATA USER_SEC_DATAPtr1)` Original signature : `ISC_STATUS isc_delete_user(ISC_STATUS*, const USER_SEC_DATA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:845
    `ISC_STATUS` | `isc_describe_bind(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_describe_bind(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:951
    `ISC_STATUS` | `isc_describe(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_describe(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:947
    `ISC_STATUS` | `isc_detach_database(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle)` Original signature : `ISC_STATUS isc_detach_database(ISC_STATUS*, isc_db_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:546
    `ISC_STATUS` | `isc_drop_database(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle)` Original signature : `ISC_STATUS isc_drop_database(ISC_STATUS*, isc_db_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:549
    `ISC_STATUS` | `isc_dsql_alloc_statement2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference stmtHandle)` Original signature : `ISC_STATUS isc_dsql_alloc_statement2(ISC_STATUS*, isc_db_handle*, isc_stmt_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:556
    `ISC_STATUS` | `isc_dsql_allocate_statement(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference stmtHandle)` Original signature : `ISC_STATUS isc_dsql_allocate_statement(ISC_STATUS*, isc_db_handle*, isc_stmt_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:552
    `ISC_STATUS` | `isc_dsql_describe_bind(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short daVersion, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_describe_bind(ISC_STATUS*, isc_stmt_handle*, unsigned short, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:565
    `ISC_STATUS` | `isc_dsql_describe(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short daVersion, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_describe(ISC_STATUS*, isc_stmt_handle*, unsigned short, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:560
    `ISC_STATUS` | `isc_dsql_exec_immed2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short length, byte[] statement, short dialect, XSQLDA inXsqlda, XSQLDA outXsqlda)` Original signature : `ISC_STATUS isc_dsql_exec_immed2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const XSQLDA*, const XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:570
    `ISC_STATUS` | `isc_dsql_exec_immed3_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short u1, byte[] ISC_SCHARPtr1, short u2, short u3, java.nio.ByteBuffer ISC_SCHARPtr2, short u4, short u5, byte[] ISC_SCHARPtr3, short u6, java.nio.ByteBuffer ISC_SCHARPtr4, short u7, short u8, java.nio.ByteBuffer ISC_SCHARPtr5)` Original signature : `ISC_STATUS isc_dsql_exec_immed3_m(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1023
    `ISC_STATUS` | `isc_dsql_execute_immediate_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short u1, byte[] ISC_SCHARPtr1, short u2, short u3, java.nio.ByteBuffer ISC_SCHARPtr2, short u4, short u5, java.nio.ByteBuffer ISC_SCHARPtr3)` Original signature : `ISC_STATUS isc_dsql_execute_immediate_m(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1011
    `ISC_STATUS` | `isc_dsql_execute_immediate(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short length, byte[] statement, short dialect, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_execute_immediate(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:592
    `ISC_STATUS` | `isc_dsql_execute_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short inBlrLength, byte[] inBlr, short inMsgType, short inMsgLength, byte[] inMsg)` Original signature : `ISC_STATUS isc_dsql_execute_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:988
    `ISC_STATUS` | `isc_dsql_execute_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short inBlrLength, byte[] inBlr, short inMsgType, short inMsgLength, java.nio.ByteBuffer inMsg)` Original signature : `ISC_STATUS isc_dsql_execute_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:988
    `ISC_STATUS` | `isc_dsql_execute(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short daVersion, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_execute(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:579
    `ISC_STATUS` | `isc_dsql_execute2_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short inBlrLength, byte[] inBlr, short inMsgType, short inMsgLength, byte[] inMsg, short outBlrLength, byte[] outBlr, short outMsgType, short outMsgLength, java.nio.ByteBuffer outMsg)` Original signature : `ISC_STATUS isc_dsql_execute2_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:997
    `ISC_STATUS` | `isc_dsql_execute2_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short inBlrLength, byte[] inBlr, short inMsgType, short inMsgLength, java.nio.ByteBuffer inMsg, short outBlrLength, java.nio.ByteBuffer outBlr, short outMsgType, short outMsgLength, java.nio.ByteBuffer outMsg)` Original signature : `ISC_STATUS isc_dsql_execute2_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:997
    `ISC_STATUS` | `isc_dsql_execute2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short daVersion, XSQLDA inXsqlda, XSQLDA outXsqlda)` Original signature : `ISC_STATUS isc_dsql_execute2(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const XSQLDA*, const XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:585
    `ISC_STATUS` | `isc_dsql_fetch_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short u1, java.nio.ByteBuffer ISC_SCHARPtr1, short u2, short u3, java.nio.ByteBuffer ISC_SCHARPtr2)` Original signature : `ISC_STATUS isc_dsql_fetch_m(ISC_STATUS*, isc_stmt_handle*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1040
    `ISC_STATUS` | `isc_dsql_fetch(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short daVersion, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_fetch(ISC_STATUS*, isc_stmt_handle*, unsigned short, const XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:600
    `ISC_STATUS` | `isc_dsql_free_statement(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short option)` Original signature : `ISC_STATUS isc_dsql_free_statement(ISC_STATUS*, isc_stmt_handle*, unsigned short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:607
    `ISC_STATUS` | `isc_dsql_insert_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short u1, byte[] ISC_SCHARPtr1, short u2, short u3, byte[] ISC_SCHARPtr2)` Original signature : `ISC_STATUS isc_dsql_insert_m(ISC_STATUS*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1048
    `ISC_STATUS` | `isc_dsql_prepare_m(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short length, byte[] statement, short dialect, short itemListBufferLength, byte[] itemListBuffer, short resultBufferLength, java.nio.ByteBuffer resultBuffer)` Original signature : `ISC_STATUS isc_dsql_prepare_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1056
    `ISC_STATUS` | `isc_dsql_prepare(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference stmtHandle, short length, byte[] statement, short dialect, XSQLDA xsqlda)` Original signature : `ISC_STATUS isc_dsql_prepare(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:616
    `ISC_STATUS` | `isc_dsql_release(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_dsql_release(ISC_STATUS*, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1067
    `ISC_STATUS` | `isc_dsql_set_cursor_name(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, byte[] cursorName, short type)` Original signature : `ISC_STATUS isc_dsql_set_cursor_name(ISC_STATUS*, isc_stmt_handle*, const ISC_SCHAR*, unsigned short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:624
    `ISC_STATUS` | `isc_dsql_sql_info(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference stmtHandle, short itemListBufferLength, byte[] itemListBuffer, short responseBufferLength, java.nio.ByteBuffer responseBuffer)` Original signature : `ISC_STATUS isc_dsql_sql_info(ISC_STATUS*, isc_stmt_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:629
    `void` | `isc_encode_date(com.sun.jna.Pointer voidPtr1, GDS_QUAD_t ISC_QUADPtr1)` Original signature : `void isc_encode_date(const void*, ISC_QUAD*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:636
    `void` | `isc_encode_sql_date(com.sun.jna.Pointer voidPtr1, java.nio.IntBuffer ISC_DATEPtr1)` Original signature : `void isc_encode_sql_date(const void*, ISC_DATE*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:639
    `void` | `isc_encode_sql_time(com.sun.jna.Pointer voidPtr1, java.nio.IntBuffer ISC_TIMEPtr1)` Original signature : `void isc_encode_sql_time(const void*, ISC_TIME*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:642
    `void` | `isc_encode_timestamp(com.sun.jna.Pointer voidPtr1, ISC_TIMESTAMP ISC_TIMESTAMPPtr1)` Original signature : `void isc_encode_timestamp(const void*, ISC_TIMESTAMP*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:645
    `short` | `isc_event_block_a(com.sun.jna.ptr.PointerByReference eventBuffer, com.sun.jna.ptr.PointerByReference resultBuffer, short idCount, com.sun.jna.ptr.PointerByReference eventNames)` Original signature : `ISC_USHORT isc_event_block_a(ISC_SCHAR**, ISC_SCHAR**, ISC_USHORT, ISC_SCHAR**)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:652
    `void` | `isc_event_block_s(com.sun.jna.ptr.PointerByReference eventBuffer, com.sun.jna.ptr.PointerByReference resultBuffer, short idCount, com.sun.jna.ptr.PointerByReference eventNames, java.nio.ShortBuffer ISC_USHORTPtr1)` Original signature : `void isc_event_block_s(ISC_SCHAR**, ISC_SCHAR**, ISC_USHORT, ISC_SCHAR**, ISC_USHORT*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:657
    `int` | `isc_event_block(com.sun.jna.ptr.PointerByReference eventBuffer, com.sun.jna.ptr.PointerByReference resultBuffer, short idCount, java.lang.Object... eventNames)` Original signature : `ISC_LONG isc_event_block(ISC_UCHAR**, ISC_UCHAR**, ISC_USHORT, null)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:648
    `void` | `isc_event_counts(ISC_STATUS[] statusVector, short bufferLength, com.sun.jna.Pointer eventBuffer, com.sun.jna.Pointer resultBuffer)` Original signature : `void isc_event_counts(ISC_ULONG*, short, ISC_UCHAR*, const ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:663
    `ISC_STATUS` | `isc_execute_immediate(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, java.nio.ShortBuffer sPtr1, byte[] ISC_SCHARPtr1)` Original signature : `ISC_STATUS isc_execute_immediate(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short*, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:960
    `ISC_STATUS` | `isc_execute(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, byte[] ISC_SCHARPtr1, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_execute(ISC_STATUS*, isc_tr_handle*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:955
    `void` | `isc_expand_dpb(com.sun.jna.ptr.PointerByReference dpb, java.nio.ShortBuffer dpbSize, java.lang.Object... items)` 17 May 2001 - isc_expand_dpb is DEPRECATED Original signature : `void isc_expand_dpb(ISC_SCHAR**, short*, null)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:669
    `ISC_STATUS` | `isc_fetch(ISC_STATUS[] statusVector, byte[] ISC_SCHARPtr1, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_fetch(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:966
    `int` | `isc_free(com.sun.jna.Pointer ISC_SCHARPtr1)` Original signature : `ISC_LONG isc_free(ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:678
    `int` | `isc_get_client_major_version()` Original signature : `int isc_get_client_major_version()` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1305
    `int` | `isc_get_client_minor_version()` Original signature : `int isc_get_client_minor_version()` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1306
    `void` | `isc_get_client_version(java.nio.ByteBuffer ISC_SCHARPtr1)` Original signature : `void isc_get_client_version(ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1304
    `ISC_STATUS` | `isc_get_segment(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle, com.sun.jna.ptr.ShortByReference actualSegLength, short segBufferLength, java.nio.ByteBuffer segBuffer)` Original signature : `ISC_STATUS isc_get_segment(ISC_STATUS*, isc_blob_handle*, unsigned short*, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:680
    `ISC_STATUS` | `isc_get_slice(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, GDS_QUAD_t arrayId, short s1, byte[] ISC_SCHARPtr1, short s2, int[] ISC_LONGPtr1, int ISC_LONG1, com.sun.jna.Pointer voidPtr1, java.nio.IntBuffer ISC_LONGPtr2)` Original signature : `ISC_STATUS isc_get_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, short, const ISC_SCHAR*, short, const ISC_LONG*, ISC_LONG, void*, ISC_LONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:686
    `int` | `isc_interprete(java.nio.ByteBuffer buffer, com.sun.jna.ptr.PointerByReference statusVector)` CVC: This non-const signature is needed for compatibility, see gds.cpp. Original signature : `ISC_LONG isc_interprete(ISC_SCHAR*, ISC_STATUS**)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:699
    `int` | `isc_modify_dpb(com.sun.jna.ptr.PointerByReference ISC_SCHARPtrPtr1, java.nio.ShortBuffer sPtr1, short u1, byte[] ISC_SCHARPtr1, short s1)` Original signature : `int isc_modify_dpb(ISC_SCHAR**, short*, unsigned short, const ISC_SCHAR*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:672
    `ISC_STATUS` | `isc_modify_user(ISC_STATUS[] statusVector, USER_SEC_DATA USER_SEC_DATAPtr1)` Original signature : `ISC_STATUS isc_modify_user(ISC_STATUS*, const USER_SEC_DATA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:847
    `ISC_STATUS` | `isc_open_blob(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, GDS_QUAD_t blobId)` Original signature : `ISC_STATUS isc_open_blob(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:707
    `ISC_STATUS` | `isc_open_blob2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, GDS_QUAD_t blobId, short bpbLength, byte[] bpb)` Original signature : `ISC_STATUS isc_open_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, ISC_USHORT, const ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:713
    `ISC_STATUS` | `isc_open_blob2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, com.sun.jna.ptr.IntByReference blobHandle, com.sun.jna.ptr.LongByReference blobId, short bpbLength, byte[] bpb)` Original signature : `ISC_STATUS isc_open_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, ISC_USHORT, const ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:713
    `ISC_STATUS` | `isc_open(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, byte[] ISC_SCHARPtr1, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_open(ISC_STATUS*, isc_tr_handle*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:970
    `long` | `isc_portable_integer(byte[] ISC_UCHARPtr1, short s1)` Original signature : `ISC_INT64 isc_portable_integer(const ISC_UCHAR*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:804
    `ISC_STATUS` | `isc_prepare_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS isc_prepare_transaction(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:871
    `ISC_STATUS` | `isc_prepare_transaction2(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, short msgLength, byte[] message)` Original signature : `ISC_STATUS isc_prepare_transaction2(ISC_STATUS*, isc_tr_handle*, ISC_USHORT, const ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:721
    `ISC_STATUS` | `isc_prepare(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, byte[] ISC_SCHARPtr1, short[] cPtr1, byte[] ISC_SCHARPtr2, XSQLDA XSQLDAPtr1)` Original signature : `ISC_STATUS isc_prepare(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const short*, const ISC_SCHAR*, XSQLDA*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:975
    `ISC_STATUS` | `isc_put_segment(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle, short segBufferLength, byte[] segBuffer)` Original signature : `ISC_STATUS isc_put_segment(ISC_STATUS*, isc_blob_handle*, unsigned short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:731
    `ISC_STATUS` | `isc_put_slice(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, GDS_QUAD_t arrayId, short s1, byte[] ISC_SCHARPtr1, short s2, int[] ISC_LONGPtr1, int ISC_LONG1, com.sun.jna.Pointer voidPtr1)` Original signature : `ISC_STATUS isc_put_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, short, const ISC_SCHAR*, short, const ISC_LONG*, ISC_LONG, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:736
    `ISC_STATUS` | `isc_que_events(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference eventId, short length, com.sun.jna.Pointer eventBuffer, FbClientLibrary.IscEventCallback eventFunction, com.sun.jna.Pointer eventFunctionArg)` Original signature : `ISC_STATUS isc_que_events(ISC_STATUS*, isc_db_handle*, ISC_LONG*, short, const ISC_UCHAR*, ISC_EVENT_CALLBACK, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:747 TODO: Currently does not satisfy requirements in documentation!
    `ISC_STATUS` | `isc_receive(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, short s1, short s2, com.sun.jna.Pointer voidPtr1, short s3)` Original signature : `ISC_STATUS isc_receive(ISC_STATUS*, isc_req_handle*, short, short, void*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:875
    `ISC_STATUS` | `isc_reconnect_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short length, byte[] transactionIdBuffer)` Original signature : `ISC_STATUS isc_reconnect_transaction(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:882
    `ISC_STATUS` | `isc_release_request(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1)` Original signature : `ISC_STATUS isc_release_request(ISC_STATUS*, isc_req_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:888
    `ISC_STATUS` | `isc_request_info(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, short s1, short s2, byte[] ISC_SCHARPtr1, short s3, java.nio.ByteBuffer ISC_SCHARPtr2)` Original signature : `ISC_STATUS isc_request_info(ISC_STATUS*, isc_req_handle*, short, short, const ISC_SCHAR*, short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:891
    `ISC_STATUS` | `isc_rollback_retaining(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS isc_rollback_retaining(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:755
    `ISC_STATUS` | `isc_rollback_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle)` Original signature : `ISC_STATUS isc_rollback_transaction(ISC_STATUS*, isc_tr_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:758
    `ISC_STATUS` | `isc_seek_blob(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference blobHandle, short mode, int offset, com.sun.jna.ptr.IntByReference result)` Original signature : `ISC_STATUS isc_seek_blob(ISC_STATUS*, isc_blob_handle*, short, ISC_LONG, ISC_LONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:899
    `ISC_STATUS` | `isc_send(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, short s1, short s2, com.sun.jna.Pointer voidPtr1, short s3)` Original signature : `ISC_STATUS isc_send(ISC_STATUS*, isc_req_handle*, short, short, const void*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:905
    `ISC_STATUS` | `isc_service_attach(ISC_STATUS[] statusVector, short serviceLength, byte[] service, com.sun.jna.ptr.IntByReference svcHandle, short spbLength, byte[] spb)` Original signature : `ISC_STATUS isc_service_attach(ISC_STATUS*, unsigned short, const ISC_SCHAR*, isc_svc_handle*, unsigned short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1259
    `ISC_STATUS` | `isc_service_detach(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference svcHandle)` Original signature : `ISC_STATUS isc_service_detach(ISC_STATUS*, isc_svc_handle*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1266
    `ISC_STATUS` | `isc_service_query(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference svcHandle, com.sun.jna.ptr.IntByReference reserved, short sendSpbLength, byte[] sendSpb, short requestSpbLength, byte[] requestSpb, short bufferLength, java.nio.ByteBuffer buffer)` Original signature : `ISC_STATUS isc_service_query(ISC_STATUS*, isc_svc_handle*, isc_resv_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1269
    `ISC_STATUS` | `isc_service_start(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference svcHandle, com.sun.jna.ptr.IntByReference reserved, short spbLength, byte[] spb)` Original signature : `ISC_STATUS isc_service_start(ISC_STATUS*, isc_svc_handle*, isc_resv_handle*, unsigned short, const ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1279
    `void` | `isc_sql_interprete(short s1, java.nio.ByteBuffer ISC_SCHARPtr1, short s2)` Original signature : `void isc_sql_interprete(short, ISC_SCHAR*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:780
    `void` | `isc_sqlcode_s(ISC_STATUS[] statusVector, java.nio.IntBuffer ISC_ULONGPtr1)` Original signature : `void isc_sqlcode_s(const ISC_STATUS*, ISC_ULONG*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:774
    `int` | `isc_sqlcode(ISC_STATUS[] statusVector)` Original signature : `ISC_LONG isc_sqlcode(const ISC_STATUS*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:772
    `ISC_STATUS` | `isc_start_and_send(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, com.sun.jna.ptr.IntByReference trHandle, short s1, short s2, com.sun.jna.Pointer voidPtr1, short s3)` Original signature : `ISC_STATUS isc_start_and_send(ISC_STATUS*, isc_req_handle*, isc_tr_handle*, short, short, const void*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:912
    `ISC_STATUS` | `isc_start_multiple(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, short dbHandleCount, com.sun.jna.Pointer teb)` Original signature : `ISC_STATUS isc_start_multiple(ISC_STATUS*, isc_tr_handle*, short, void*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:761
    `ISC_STATUS` | `isc_start_request(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference isc_req_handlePtr1, com.sun.jna.ptr.IntByReference trHandle, short s1)` Original signature : `ISC_STATUS isc_start_request(ISC_STATUS*, isc_req_handle*, isc_tr_handle*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:920
    `ISC_STATUS` | `isc_start_transaction(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, short dbHandleCount, java.lang.Object... teb)` Original signature : `ISC_STATUS isc_start_transaction(ISC_STATUS*, isc_tr_handle*, short, null)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:766
    `ISC_STATUS` | `isc_transact_request(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, com.sun.jna.ptr.IntByReference trHandle, short u1, java.nio.ByteBuffer ISC_SCHARPtr1, short u2, java.nio.ByteBuffer ISC_SCHARPtr2, short u3, java.nio.ByteBuffer ISC_SCHARPtr3)` Original signature : `ISC_STATUS isc_transact_request(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:791
    `ISC_STATUS` | `isc_transaction_info(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, short itemListBufferLength, byte[] itemListBuffer, short resultBufferLength, java.nio.ByteBuffer resultBuffer)` Original signature : `ISC_STATUS isc_transaction_info(ISC_STATUS*, isc_tr_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:784
    `ISC_STATUS` | `isc_unwind_request(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference trHandle, short s1)` Original signature : `ISC_STATUS isc_unwind_request(ISC_STATUS*, isc_tr_handle*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:925
    `int` | `isc_vax_integer(byte[] ISC_SCHARPtr1, short s1)` Original signature : `ISC_LONG isc_vax_integer(const ISC_SCHAR*, short)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:801
    `ISC_STATUS` | `isc_wait_for_event(ISC_STATUS[] statusVector, com.sun.jna.ptr.IntByReference dbHandle, short s1, byte[] ISC_UCHARPtr1, java.nio.ByteBuffer ISC_UCHARPtr2)` Original signature : `ISC_STATUS isc_wait_for_event(ISC_STATUS*, isc_db_handle*, short, const ISC_UCHAR*, ISC_UCHAR*)` native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:929

- - ### Method Detail

    - #### isc_attach_database

          ISC_STATUS isc_attach_database(ISC_STATUS[] statusVector,
                                         short dbNameLength,
                                         byte[] dbName,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         short paramBufferLength,
                                         byte[] paramBuffer)

      Original signature : `ISC_STATUS isc_attach_database(ISC_STATUS*, short, const ISC_SCHAR*, isc_db_handle*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:404

    - #### isc_array_get_slice

          ISC_STATUS isc_array_get_slice(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         com.sun.jna.ptr.IntByReference trHandle,
                                         GDS_QUAD_t arrayId,
                                         ISC_ARRAY_DESC desc,
                                         com.sun.jna.Pointer destArray,
                                         java.nio.IntBuffer sliceLength)

      Original signature : `ISC_STATUS isc_array_get_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, const ISC_ARRAY_DESC*, void*, ISC_LONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:417

    - #### isc_array_lookup_bounds

          ISC_STATUS isc_array_lookup_bounds(ISC_STATUS[] statusVector,
                                             com.sun.jna.ptr.IntByReference dbHandle,
                                             com.sun.jna.ptr.IntByReference trHandle,
                                             byte[] tableName,
                                             byte[] columnName,
                                             ISC_ARRAY_DESC desc)

      Original signature : `ISC_STATUS isc_array_lookup_bounds(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const ISC_SCHAR*, ISC_ARRAY_DESC*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:425

    - #### isc_array_lookup_desc

          ISC_STATUS isc_array_lookup_desc(ISC_STATUS[] statusVector,
                                           com.sun.jna.ptr.IntByReference dbHandle,
                                           com.sun.jna.ptr.IntByReference trHandle,
                                           byte[] tableName,
                                           byte[] columnName,
                                           ISC_ARRAY_DESC desc)

      Original signature : `ISC_STATUS isc_array_lookup_desc(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const ISC_SCHAR*, ISC_ARRAY_DESC*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:432

    - #### isc_array_set_desc

          ISC_STATUS isc_array_set_desc(ISC_STATUS[] statusVector,
                                        byte[] tableName,
                                        byte[] columnName,
                                        short[] sqlDtype,
                                        short[] sqlLength,
                                        short[] dimensions,
                                        ISC_ARRAY_DESC desc)

      Original signature : `ISC_STATUS isc_array_set_desc(ISC_STATUS*, const ISC_SCHAR*, const ISC_SCHAR*, const short*, const short*, const short*, ISC_ARRAY_DESC*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:439

    - #### isc_array_put_slice

          ISC_STATUS isc_array_put_slice(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         com.sun.jna.ptr.IntByReference trHandle,
                                         GDS_QUAD_t arrayId,
                                         ISC_ARRAY_DESC desc,
                                         com.sun.jna.Pointer sourceArray,
                                         java.nio.IntBuffer sliceLength)

      Original signature : `ISC_STATUS isc_array_put_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, const ISC_ARRAY_DESC*, void*, ISC_LONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:447

    - #### isc_blob_default_desc

          void isc_blob_default_desc(ISC_BLOB_DESC desc,
                                     byte[] tableName,
                                     byte[] columnName)

      Original signature : `void isc_blob_default_desc(ISC_BLOB_DESC*, const ISC_UCHAR*, const ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:455

    - #### isc_blob_gen_bpb

          ISC_STATUS isc_blob_gen_bpb(ISC_STATUS[] statusVector,
                                      ISC_BLOB_DESC toDesc,
                                      ISC_BLOB_DESC fromDesc,
                                      short bpbBufferLength,
                                      java.nio.ByteBuffer bpbBuffer,
                                      java.nio.ShortBuffer bpbLength)

      Original signature : `ISC_STATUS isc_blob_gen_bpb(ISC_STATUS*, const ISC_BLOB_DESC*, const ISC_BLOB_DESC*, unsigned short, ISC_UCHAR*, unsigned short*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:459

    - #### isc_blob_info

          ISC_STATUS isc_blob_info(ISC_STATUS[] statusVector,
                                   com.sun.jna.ptr.IntByReference blobHandle,
                                   short itemListBufferLength,
                                   byte[] itemListBuffer,
                                   short resultBufferLength,
                                   java.nio.ByteBuffer resultBuffer)

      Original signature : `ISC_STATUS isc_blob_info(ISC_STATUS*, isc_blob_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:466

    - #### isc_blob_lookup_desc

          ISC_STATUS isc_blob_lookup_desc(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference dbHandle,
                                          com.sun.jna.ptr.IntByReference trHandle,
                                          byte[] tableName,
                                          byte[] columnName,
                                          ISC_BLOB_DESC desc,
                                          java.nio.ByteBuffer global)

      Original signature : `ISC_STATUS isc_blob_lookup_desc(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_UCHAR*, const ISC_UCHAR*, ISC_BLOB_DESC*, ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:473

    - #### isc_blob_set_desc

          ISC_STATUS isc_blob_set_desc(ISC_STATUS[] statusVector,
                                       byte[] tableName,
                                       byte[] columnName,
                                       short subType,
                                       short charset,
                                       short segmentSize,
                                       ISC_BLOB_DESC desc)

      Original signature : `ISC_STATUS isc_blob_set_desc(ISC_STATUS*, const ISC_UCHAR*, const ISC_UCHAR*, short, short, short, ISC_BLOB_DESC*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:481

    - #### isc_cancel_blob

          ISC_STATUS isc_cancel_blob(ISC_STATUS[] statusVector,
                                     com.sun.jna.ptr.IntByReference blobHandle)

      Original signature : `ISC_STATUS isc_cancel_blob(ISC_STATUS*, isc_blob_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:489

    - #### isc_cancel_events

          ISC_STATUS isc_cancel_events(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference dbHandle,
                                       com.sun.jna.ptr.IntByReference eventId)

      Original signature : `ISC_STATUS isc_cancel_events(ISC_STATUS*, isc_db_handle*, ISC_LONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:492

    - #### isc_close_blob

          ISC_STATUS isc_close_blob(ISC_STATUS[] statusVector,
                                    com.sun.jna.ptr.IntByReference blobHandle)

      Original signature : `ISC_STATUS isc_close_blob(ISC_STATUS*, isc_blob_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:496

    - #### isc_commit_retaining

          ISC_STATUS isc_commit_retaining(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS isc_commit_retaining(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:499

    - #### isc_commit_transaction

          ISC_STATUS isc_commit_transaction(ISC_STATUS[] statusVector,
                                            com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS isc_commit_transaction(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:502

    - #### isc_create_blob

          ISC_STATUS isc_create_blob(ISC_STATUS[] statusVector,
                                     com.sun.jna.ptr.IntByReference dbHandle,
                                     com.sun.jna.ptr.IntByReference trHandle,
                                     com.sun.jna.ptr.IntByReference blobHandle,
                                     GDS_QUAD_t blobId)

      Original signature : `ISC_STATUS isc_create_blob(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:505

    - #### isc_create_blob2

          ISC_STATUS isc_create_blob2(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference dbHandle,
                                      com.sun.jna.ptr.IntByReference trHandle,
                                      com.sun.jna.ptr.IntByReference blobHandle,
                                      GDS_QUAD_t blobId,
                                      short bpbLength,
                                      byte[] bpb)

      Original signature : `ISC_STATUS isc_create_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:511

    - #### isc_create_blob2

          ISC_STATUS isc_create_blob2(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference dbHandle,
                                      com.sun.jna.ptr.IntByReference trHandle,
                                      com.sun.jna.ptr.IntByReference blobHandle,
                                      com.sun.jna.ptr.LongByReference blobId,
                                      short bpbLength,
                                      byte[] bpb)

      Original signature : `ISC_STATUS isc_create_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:511

    - #### isc_create_database

          ISC_STATUS isc_create_database(ISC_STATUS[] statusVector,
                                         short dbNameLength,
                                         byte[] dbName,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         short paramBufferLength,
                                         byte[] paramBuffer,
                                         short dialect)

      Original signature : `ISC_STATUS isc_create_database(ISC_STATUS*, short, const ISC_SCHAR*, isc_db_handle*, short, const ISC_SCHAR*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:519 TODO: Interbase 6.0 API doc mentions this shouldn't be called

    - #### isc_database_info

          ISC_STATUS isc_database_info(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference dbHandle,
                                       short itemListBufferLength,
                                       byte[] itemListBuffer,
                                       short resultBufferLength,
                                       java.nio.ByteBuffer resultBuffer)

      Original signature : `ISC_STATUS isc_database_info(ISC_STATUS*, isc_db_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:527

    - #### isc_decode_date

          void isc_decode_date(GDS_QUAD_t[] ISC_QUADPtr1,
                               com.sun.jna.Pointer voidPtr1)

      Original signature : `void isc_decode_date(const ISC_QUAD*, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:534

    - #### isc_decode_sql_date

          void isc_decode_sql_date(int[] ISC_DATEPtr1,
                                   com.sun.jna.Pointer voidPtr1)

      Original signature : `void isc_decode_sql_date(const ISC_DATE*, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:537

    - #### isc_decode_sql_time

          void isc_decode_sql_time(int[] ISC_TIMEPtr1,
                                   com.sun.jna.Pointer voidPtr1)

      Original signature : `void isc_decode_sql_time(const ISC_TIME*, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:540

    - #### isc_decode_timestamp

          void isc_decode_timestamp(ISC_TIMESTAMP ISC_TIMESTAMPPtr1,
                                    com.sun.jna.Pointer voidPtr1)

      Original signature : `void isc_decode_timestamp(const ISC_TIMESTAMP*, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:543

    - #### isc_detach_database

          ISC_STATUS isc_detach_database(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference dbHandle)

      Original signature : `ISC_STATUS isc_detach_database(ISC_STATUS*, isc_db_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:546

    - #### isc_drop_database

          ISC_STATUS isc_drop_database(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference dbHandle)

      Original signature : `ISC_STATUS isc_drop_database(ISC_STATUS*, isc_db_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:549

    - #### isc_dsql_allocate_statement

          ISC_STATUS isc_dsql_allocate_statement(ISC_STATUS[] statusVector,
                                                 com.sun.jna.ptr.IntByReference dbHandle,
                                                 com.sun.jna.ptr.IntByReference stmtHandle)

      Original signature : `ISC_STATUS isc_dsql_allocate_statement(ISC_STATUS*, isc_db_handle*, isc_stmt_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:552

    - #### isc_dsql_alloc_statement2

          ISC_STATUS isc_dsql_alloc_statement2(ISC_STATUS[] statusVector,
                                               com.sun.jna.ptr.IntByReference dbHandle,
                                               com.sun.jna.ptr.IntByReference stmtHandle)

      Original signature : `ISC_STATUS isc_dsql_alloc_statement2(ISC_STATUS*, isc_db_handle*, isc_stmt_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:556

    - #### isc_dsql_describe

          ISC_STATUS isc_dsql_describe(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference stmtHandle,
                                       short daVersion,
                                       XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_describe(ISC_STATUS*, isc_stmt_handle*, unsigned short, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:560

    - #### isc_dsql_describe_bind

          ISC_STATUS isc_dsql_describe_bind(ISC_STATUS[] statusVector,
                                            com.sun.jna.ptr.IntByReference stmtHandle,
                                            short daVersion,
                                            XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_describe_bind(ISC_STATUS*, isc_stmt_handle*, unsigned short, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:565

    - #### isc_dsql_exec_immed2

          ISC_STATUS isc_dsql_exec_immed2(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference dbHandle,
                                          com.sun.jna.ptr.IntByReference trHandle,
                                          short length,
                                          byte[] statement,
                                          short dialect,
                                          XSQLDA inXsqlda,
                                          XSQLDA outXsqlda)

      Original signature : `ISC_STATUS isc_dsql_exec_immed2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const XSQLDA*, const XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:570

    - #### isc_dsql_execute

          ISC_STATUS isc_dsql_execute(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference trHandle,
                                      com.sun.jna.ptr.IntByReference stmtHandle,
                                      short daVersion,
                                      XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_execute(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:579

    - #### isc_dsql_execute2

          ISC_STATUS isc_dsql_execute2(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference trHandle,
                                       com.sun.jna.ptr.IntByReference stmtHandle,
                                       short daVersion,
                                       XSQLDA inXsqlda,
                                       XSQLDA outXsqlda)

      Original signature : `ISC_STATUS isc_dsql_execute2(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const XSQLDA*, const XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:585

    - #### isc_dsql_execute_immediate

          ISC_STATUS isc_dsql_execute_immediate(ISC_STATUS[] statusVector,
                                                com.sun.jna.ptr.IntByReference dbHandle,
                                                com.sun.jna.ptr.IntByReference trHandle,
                                                short length,
                                                byte[] statement,
                                                short dialect,
                                                XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_execute_immediate(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:592

    - #### isc_dsql_fetch

          ISC_STATUS isc_dsql_fetch(ISC_STATUS[] statusVector,
                                    com.sun.jna.ptr.IntByReference stmtHandle,
                                    short daVersion,
                                    XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_fetch(ISC_STATUS*, isc_stmt_handle*, unsigned short, const XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:600

    - #### isc_dsql_free_statement

          ISC_STATUS isc_dsql_free_statement(ISC_STATUS[] statusVector,
                                             com.sun.jna.ptr.IntByReference stmtHandle,
                                             short option)

      Original signature : `ISC_STATUS isc_dsql_free_statement(ISC_STATUS*, isc_stmt_handle*, unsigned short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:607

    - #### isc_dsql_prepare

          ISC_STATUS isc_dsql_prepare(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference trHandle,
                                      com.sun.jna.ptr.IntByReference stmtHandle,
                                      short length,
                                      byte[] statement,
                                      short dialect,
                                      XSQLDA xsqlda)

      Original signature : `ISC_STATUS isc_dsql_prepare(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:616

    - #### isc_dsql_set_cursor_name

          ISC_STATUS isc_dsql_set_cursor_name(ISC_STATUS[] statusVector,
                                              com.sun.jna.ptr.IntByReference stmtHandle,
                                              byte[] cursorName,
                                              short type)

      Original signature : `ISC_STATUS isc_dsql_set_cursor_name(ISC_STATUS*, isc_stmt_handle*, const ISC_SCHAR*, unsigned short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:624

    - #### isc_dsql_sql_info

          ISC_STATUS isc_dsql_sql_info(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference stmtHandle,
                                       short itemListBufferLength,
                                       byte[] itemListBuffer,
                                       short responseBufferLength,
                                       java.nio.ByteBuffer responseBuffer)

      Original signature : `ISC_STATUS isc_dsql_sql_info(ISC_STATUS*, isc_stmt_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:629

    - #### fb_dsql_set_timeout

          ISC_STATUS fb_dsql_set_timeout(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference stmtHandle,
                                         int timeoutMs)

      Original signature : `ISC_STATUS ISC_EXPORT fb_dsql_set_timeout(ISC_STATUS*, isc_stmt_handle*, ISC_ULONG)`
      native declaration : D:\DevSoft\FB_tests\Firebird-4.0.0.1691-0_x64\include\ibase.h:629

    - #### isc_encode_date

          void isc_encode_date(com.sun.jna.Pointer voidPtr1,
                               GDS_QUAD_t ISC_QUADPtr1)

      Original signature : `void isc_encode_date(const void*, ISC_QUAD*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:636

    - #### isc_encode_sql_date

          void isc_encode_sql_date(com.sun.jna.Pointer voidPtr1,
                                   java.nio.IntBuffer ISC_DATEPtr1)

      Original signature : `void isc_encode_sql_date(const void*, ISC_DATE*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:639

    - #### isc_encode_sql_time

          void isc_encode_sql_time(com.sun.jna.Pointer voidPtr1,
                                   java.nio.IntBuffer ISC_TIMEPtr1)

      Original signature : `void isc_encode_sql_time(const void*, ISC_TIME*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:642

    - #### isc_encode_timestamp

          void isc_encode_timestamp(com.sun.jna.Pointer voidPtr1,
                                    ISC_TIMESTAMP ISC_TIMESTAMPPtr1)

      Original signature : `void isc_encode_timestamp(const void*, ISC_TIMESTAMP*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:645

    - #### isc_event_block

          int isc_event_block(com.sun.jna.ptr.PointerByReference eventBuffer,
                              com.sun.jna.ptr.PointerByReference resultBuffer,
                              short idCount,
                              java.lang.Object... eventNames)

      Original signature : `ISC_LONG isc_event_block(ISC_UCHAR**, ISC_UCHAR**, ISC_USHORT, null)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:648

    - #### isc_event_block_a

          short isc_event_block_a(com.sun.jna.ptr.PointerByReference eventBuffer,
                                  com.sun.jna.ptr.PointerByReference resultBuffer,
                                  short idCount,
                                  com.sun.jna.ptr.PointerByReference eventNames)

      Original signature : `ISC_USHORT isc_event_block_a(ISC_SCHAR**, ISC_SCHAR**, ISC_USHORT, ISC_SCHAR**)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:652

    - #### isc_event_block_s

          void isc_event_block_s(com.sun.jna.ptr.PointerByReference eventBuffer,
                                 com.sun.jna.ptr.PointerByReference resultBuffer,
                                 short idCount,
                                 com.sun.jna.ptr.PointerByReference eventNames,
                                 java.nio.ShortBuffer ISC_USHORTPtr1)

      Original signature : `void isc_event_block_s(ISC_SCHAR**, ISC_SCHAR**, ISC_USHORT, ISC_SCHAR**, ISC_USHORT*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:657

    - #### isc_event_counts

          void isc_event_counts(ISC_STATUS[] statusVector,
                                short bufferLength,
                                com.sun.jna.Pointer eventBuffer,
                                com.sun.jna.Pointer resultBuffer)

      Original signature : `void isc_event_counts(ISC_ULONG*, short, ISC_UCHAR*, const ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:663

    - #### isc_expand_dpb

          void isc_expand_dpb(com.sun.jna.ptr.PointerByReference dpb,
                              java.nio.ShortBuffer dpbSize,
                              java.lang.Object... items)

      17 May 2001 - isc_expand_dpb is DEPRECATED
      Original signature : `void isc_expand_dpb(ISC_SCHAR**, short*, null)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:669

    - #### isc_modify_dpb

          int isc_modify_dpb(com.sun.jna.ptr.PointerByReference ISC_SCHARPtrPtr1,
                             java.nio.ShortBuffer sPtr1,
                             short u1,
                             byte[] ISC_SCHARPtr1,
                             short s1)

      Original signature : `int isc_modify_dpb(ISC_SCHAR**, short*, unsigned short, const ISC_SCHAR*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:672

    - #### isc_free

          int isc_free(com.sun.jna.Pointer ISC_SCHARPtr1)

      Original signature : `ISC_LONG isc_free(ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:678

    - #### isc_get_segment

          ISC_STATUS isc_get_segment(ISC_STATUS[] statusVector,
                                     com.sun.jna.ptr.IntByReference blobHandle,
                                     com.sun.jna.ptr.ShortByReference actualSegLength,
                                     short segBufferLength,
                                     java.nio.ByteBuffer segBuffer)

      Original signature : `ISC_STATUS isc_get_segment(ISC_STATUS*, isc_blob_handle*, unsigned short*, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:680

    - #### isc_get_slice

          ISC_STATUS isc_get_slice(ISC_STATUS[] statusVector,
                                   com.sun.jna.ptr.IntByReference dbHandle,
                                   com.sun.jna.ptr.IntByReference trHandle,
                                   GDS_QUAD_t arrayId,
                                   short s1,
                                   byte[] ISC_SCHARPtr1,
                                   short s2,
                                   int[] ISC_LONGPtr1,
                                   int ISC_LONG1,
                                   com.sun.jna.Pointer voidPtr1,
                                   java.nio.IntBuffer ISC_LONGPtr2)

      Original signature : `ISC_STATUS isc_get_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, short, const ISC_SCHAR*, short, const ISC_LONG*, ISC_LONG, void*, ISC_LONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:686

    - #### isc_interprete

          int isc_interprete(java.nio.ByteBuffer buffer,
                             com.sun.jna.ptr.PointerByReference statusVector)

      CVC: This non-const signature is needed for compatibility, see gds.cpp.
      Original signature : `ISC_LONG isc_interprete(ISC_SCHAR*, ISC_STATUS**)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:699

    - #### fb_interpret

          int fb_interpret(java.nio.ByteBuffer buffer,
                           int int1,
                           com.sun.jna.ptr.PointerByReference statusVector)

      This const params version used in the engine and other places.
      Original signature : `ISC_LONG fb_interpret(ISC_SCHAR*, unsigned int, const ISC_STATUS**)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:703

    - #### isc_open_blob

          ISC_STATUS isc_open_blob(ISC_STATUS[] statusVector,
                                   com.sun.jna.ptr.IntByReference dbHandle,
                                   com.sun.jna.ptr.IntByReference trHandle,
                                   com.sun.jna.ptr.IntByReference blobHandle,
                                   GDS_QUAD_t blobId)

      Original signature : `ISC_STATUS isc_open_blob(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:707

    - #### isc_open_blob2

          ISC_STATUS isc_open_blob2(ISC_STATUS[] statusVector,
                                    com.sun.jna.ptr.IntByReference dbHandle,
                                    com.sun.jna.ptr.IntByReference trHandle,
                                    com.sun.jna.ptr.IntByReference blobHandle,
                                    GDS_QUAD_t blobId,
                                    short bpbLength,
                                    byte[] bpb)

      Original signature : `ISC_STATUS isc_open_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, ISC_USHORT, const ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:713

    - #### isc_open_blob2

          ISC_STATUS isc_open_blob2(ISC_STATUS[] statusVector,
                                    com.sun.jna.ptr.IntByReference dbHandle,
                                    com.sun.jna.ptr.IntByReference trHandle,
                                    com.sun.jna.ptr.IntByReference blobHandle,
                                    com.sun.jna.ptr.LongByReference blobId,
                                    short bpbLength,
                                    byte[] bpb)

      Original signature : `ISC_STATUS isc_open_blob2(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, isc_blob_handle*, ISC_QUAD*, ISC_USHORT, const ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:713

    - #### isc_prepare_transaction2

          ISC_STATUS isc_prepare_transaction2(ISC_STATUS[] statusVector,
                                              com.sun.jna.ptr.IntByReference trHandle,
                                              short msgLength,
                                              byte[] message)

      Original signature : `ISC_STATUS isc_prepare_transaction2(ISC_STATUS*, isc_tr_handle*, ISC_USHORT, const ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:721

    - #### isc_put_segment

          ISC_STATUS isc_put_segment(ISC_STATUS[] statusVector,
                                     com.sun.jna.ptr.IntByReference blobHandle,
                                     short segBufferLength,
                                     byte[] segBuffer)

      Original signature : `ISC_STATUS isc_put_segment(ISC_STATUS*, isc_blob_handle*, unsigned short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:731

    - #### isc_put_slice

          ISC_STATUS isc_put_slice(ISC_STATUS[] statusVector,
                                   com.sun.jna.ptr.IntByReference dbHandle,
                                   com.sun.jna.ptr.IntByReference trHandle,
                                   GDS_QUAD_t arrayId,
                                   short s1,
                                   byte[] ISC_SCHARPtr1,
                                   short s2,
                                   int[] ISC_LONGPtr1,
                                   int ISC_LONG1,
                                   com.sun.jna.Pointer voidPtr1)

      Original signature : `ISC_STATUS isc_put_slice(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, ISC_QUAD*, short, const ISC_SCHAR*, short, const ISC_LONG*, ISC_LONG, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:736

    - #### isc_que_events

          ISC_STATUS isc_que_events(ISC_STATUS[] statusVector,
                                    com.sun.jna.ptr.IntByReference dbHandle,
                                    com.sun.jna.ptr.IntByReference eventId,
                                    short length,
                                    com.sun.jna.Pointer eventBuffer,
                                    FbClientLibrary.IscEventCallback eventFunction,
                                    com.sun.jna.Pointer eventFunctionArg)

      Original signature : `ISC_STATUS isc_que_events(ISC_STATUS*, isc_db_handle*, ISC_LONG*, short, const ISC_UCHAR*, ISC_EVENT_CALLBACK, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:747 TODO: Currently does not satisfy requirements in documentation!

    - #### isc_rollback_retaining

          ISC_STATUS isc_rollback_retaining(ISC_STATUS[] statusVector,
                                            com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS isc_rollback_retaining(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:755

    - #### isc_rollback_transaction

          ISC_STATUS isc_rollback_transaction(ISC_STATUS[] statusVector,
                                              com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS isc_rollback_transaction(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:758

    - #### isc_start_multiple

          ISC_STATUS isc_start_multiple(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        short dbHandleCount,
                                        com.sun.jna.Pointer teb)

      Original signature : `ISC_STATUS isc_start_multiple(ISC_STATUS*, isc_tr_handle*, short, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:761

    - #### isc_start_transaction

          ISC_STATUS isc_start_transaction(ISC_STATUS[] statusVector,
                                           com.sun.jna.ptr.IntByReference trHandle,
                                           short dbHandleCount,
                                           java.lang.Object... teb)

      Original signature : `ISC_STATUS isc_start_transaction(ISC_STATUS*, isc_tr_handle*, short, null)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:766

    - #### fb_disconnect_transaction

          ISC_STATUS fb_disconnect_transaction(ISC_STATUS[] statusVector,
                                               com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS fb_disconnect_transaction(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:770

    - #### isc_sqlcode

          int isc_sqlcode(ISC_STATUS[] statusVector)

      Original signature : `ISC_LONG isc_sqlcode(const ISC_STATUS*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:772

    - #### isc_sqlcode_s

          void isc_sqlcode_s(ISC_STATUS[] statusVector,
                             java.nio.IntBuffer ISC_ULONGPtr1)

      Original signature : `void isc_sqlcode_s(const ISC_STATUS*, ISC_ULONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:774

    - #### fb_sqlstate

          void fb_sqlstate(java.nio.ByteBuffer charPtr1,
                           ISC_STATUS[] statusVector)

      Original signature : `void fb_sqlstate(char*, const ISC_STATUS*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:777

    - #### isc_sql_interprete

          void isc_sql_interprete(short s1,
                                  java.nio.ByteBuffer ISC_SCHARPtr1,
                                  short s2)

      Original signature : `void isc_sql_interprete(short, ISC_SCHAR*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:780

    - #### isc_transaction_info

          ISC_STATUS isc_transaction_info(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference trHandle,
                                          short itemListBufferLength,
                                          byte[] itemListBuffer,
                                          short resultBufferLength,
                                          java.nio.ByteBuffer resultBuffer)

      Original signature : `ISC_STATUS isc_transaction_info(ISC_STATUS*, isc_tr_handle*, short, const ISC_SCHAR*, short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:784

    - #### isc_transact_request

          ISC_STATUS isc_transact_request(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference dbHandle,
                                          com.sun.jna.ptr.IntByReference trHandle,
                                          short u1,
                                          java.nio.ByteBuffer ISC_SCHARPtr1,
                                          short u2,
                                          java.nio.ByteBuffer ISC_SCHARPtr2,
                                          short u3,
                                          java.nio.ByteBuffer ISC_SCHARPtr3)

      Original signature : `ISC_STATUS isc_transact_request(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:791

    - #### isc_vax_integer

          int isc_vax_integer(byte[] ISC_SCHARPtr1,
                              short s1)

      Original signature : `ISC_LONG isc_vax_integer(const ISC_SCHAR*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:801

    - #### isc_portable_integer

          long isc_portable_integer(byte[] ISC_UCHARPtr1,
                                    short s1)

      Original signature : `ISC_INT64 isc_portable_integer(const ISC_UCHAR*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:804

    - #### isc_add_user

          ISC_STATUS isc_add_user(ISC_STATUS[] statusVector,
                                  USER_SEC_DATA USER_SEC_DATAPtr1)

      Original signature : `ISC_STATUS isc_add_user(ISC_STATUS*, const USER_SEC_DATA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:843

    - #### isc_delete_user

          ISC_STATUS isc_delete_user(ISC_STATUS[] statusVector,
                                     USER_SEC_DATA USER_SEC_DATAPtr1)

      Original signature : `ISC_STATUS isc_delete_user(ISC_STATUS*, const USER_SEC_DATA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:845

    - #### isc_modify_user

          ISC_STATUS isc_modify_user(ISC_STATUS[] statusVector,
                                     USER_SEC_DATA USER_SEC_DATAPtr1)

      Original signature : `ISC_STATUS isc_modify_user(ISC_STATUS*, const USER_SEC_DATA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:847

    - #### isc_compile_request

          ISC_STATUS isc_compile_request(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                         short s1,
                                         byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_compile_request(ISC_STATUS*, isc_db_handle*, isc_req_handle*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:853

    - #### isc_compile_request2

          ISC_STATUS isc_compile_request2(ISC_STATUS[] statusVector,
                                          com.sun.jna.ptr.IntByReference dbHandle,
                                          com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                          short s1,
                                          byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_compile_request2(ISC_STATUS*, isc_db_handle*, isc_req_handle*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:859

    - #### isc_ddl

          ISC_STATUS isc_ddl(ISC_STATUS[] statusVector,
                             com.sun.jna.ptr.IntByReference dbHandle,
                             com.sun.jna.ptr.IntByReference trHandle,
                             short s1,
                             byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_ddl(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:865

    - #### isc_prepare_transaction

          ISC_STATUS isc_prepare_transaction(ISC_STATUS[] statusVector,
                                             com.sun.jna.ptr.IntByReference trHandle)

      Original signature : `ISC_STATUS isc_prepare_transaction(ISC_STATUS*, isc_tr_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:871

    - #### isc_receive

          ISC_STATUS isc_receive(ISC_STATUS[] statusVector,
                                 com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                 short s1,
                                 short s2,
                                 com.sun.jna.Pointer voidPtr1,
                                 short s3)

      Original signature : `ISC_STATUS isc_receive(ISC_STATUS*, isc_req_handle*, short, short, void*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:875

    - #### isc_reconnect_transaction

          ISC_STATUS isc_reconnect_transaction(ISC_STATUS[] statusVector,
                                               com.sun.jna.ptr.IntByReference dbHandle,
                                               com.sun.jna.ptr.IntByReference trHandle,
                                               short length,
                                               byte[] transactionIdBuffer)

      Original signature : `ISC_STATUS isc_reconnect_transaction(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:882

    - #### isc_release_request

          ISC_STATUS isc_release_request(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference isc_req_handlePtr1)

      Original signature : `ISC_STATUS isc_release_request(ISC_STATUS*, isc_req_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:888

    - #### isc_request_info

          ISC_STATUS isc_request_info(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                      short s1,
                                      short s2,
                                      byte[] ISC_SCHARPtr1,
                                      short s3,
                                      java.nio.ByteBuffer ISC_SCHARPtr2)

      Original signature : `ISC_STATUS isc_request_info(ISC_STATUS*, isc_req_handle*, short, short, const ISC_SCHAR*, short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:891

    - #### isc_seek_blob

          ISC_STATUS isc_seek_blob(ISC_STATUS[] statusVector,
                                   com.sun.jna.ptr.IntByReference blobHandle,
                                   short mode,
                                   int offset,
                                   com.sun.jna.ptr.IntByReference result)

      Original signature : `ISC_STATUS isc_seek_blob(ISC_STATUS*, isc_blob_handle*, short, ISC_LONG, ISC_LONG*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:899

    - #### isc_send

          ISC_STATUS isc_send(ISC_STATUS[] statusVector,
                              com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                              short s1,
                              short s2,
                              com.sun.jna.Pointer voidPtr1,
                              short s3)

      Original signature : `ISC_STATUS isc_send(ISC_STATUS*, isc_req_handle*, short, short, const void*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:905

    - #### isc_start_and_send

          ISC_STATUS isc_start_and_send(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        short s1,
                                        short s2,
                                        com.sun.jna.Pointer voidPtr1,
                                        short s3)

      Original signature : `ISC_STATUS isc_start_and_send(ISC_STATUS*, isc_req_handle*, isc_tr_handle*, short, short, const void*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:912

    - #### isc_start_request

          ISC_STATUS isc_start_request(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference isc_req_handlePtr1,
                                       com.sun.jna.ptr.IntByReference trHandle,
                                       short s1)

      Original signature : `ISC_STATUS isc_start_request(ISC_STATUS*, isc_req_handle*, isc_tr_handle*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:920

    - #### isc_unwind_request

          ISC_STATUS isc_unwind_request(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        short s1)

      Original signature : `ISC_STATUS isc_unwind_request(ISC_STATUS*, isc_tr_handle*, short)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:925

    - #### isc_wait_for_event

          ISC_STATUS isc_wait_for_event(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference dbHandle,
                                        short s1,
                                        byte[] ISC_UCHARPtr1,
                                        java.nio.ByteBuffer ISC_UCHARPtr2)

      Original signature : `ISC_STATUS isc_wait_for_event(ISC_STATUS*, isc_db_handle*, short, const ISC_UCHAR*, ISC_UCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:929

    - #### isc_close

          ISC_STATUS isc_close(ISC_STATUS[] statusVector,
                               byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_close(ISC_STATUS*, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:940

    - #### isc_declare

          ISC_STATUS isc_declare(ISC_STATUS[] statusVector,
                                 byte[] ISC_SCHARPtr1,
                                 byte[] ISC_SCHARPtr2)

      Original signature : `ISC_STATUS isc_declare(ISC_STATUS*, const ISC_SCHAR*, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:943

    - #### isc_describe

          ISC_STATUS isc_describe(ISC_STATUS[] statusVector,
                                  byte[] ISC_SCHARPtr1,
                                  XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_describe(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:947

    - #### isc_describe_bind

          ISC_STATUS isc_describe_bind(ISC_STATUS[] statusVector,
                                       byte[] ISC_SCHARPtr1,
                                       XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_describe_bind(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:951

    - #### isc_execute

          ISC_STATUS isc_execute(ISC_STATUS[] statusVector,
                                 com.sun.jna.ptr.IntByReference trHandle,
                                 byte[] ISC_SCHARPtr1,
                                 XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_execute(ISC_STATUS*, isc_tr_handle*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:955

    - #### isc_execute_immediate

          ISC_STATUS isc_execute_immediate(ISC_STATUS[] statusVector,
                                           com.sun.jna.ptr.IntByReference dbHandle,
                                           com.sun.jna.ptr.IntByReference trHandle,
                                           java.nio.ShortBuffer sPtr1,
                                           byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_execute_immediate(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, short*, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:960

    - #### isc_fetch

          ISC_STATUS isc_fetch(ISC_STATUS[] statusVector,
                               byte[] ISC_SCHARPtr1,
                               XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_fetch(ISC_STATUS*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:966

    - #### isc_open

          ISC_STATUS isc_open(ISC_STATUS[] statusVector,
                              com.sun.jna.ptr.IntByReference trHandle,
                              byte[] ISC_SCHARPtr1,
                              XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_open(ISC_STATUS*, isc_tr_handle*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:970

    - #### isc_prepare

          ISC_STATUS isc_prepare(ISC_STATUS[] statusVector,
                                 com.sun.jna.ptr.IntByReference dbHandle,
                                 com.sun.jna.ptr.IntByReference trHandle,
                                 byte[] ISC_SCHARPtr1,
                                 short[] cPtr1,
                                 byte[] ISC_SCHARPtr2,
                                 XSQLDA XSQLDAPtr1)

      Original signature : `ISC_STATUS isc_prepare(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, const ISC_SCHAR*, const short*, const ISC_SCHAR*, XSQLDA*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:975

    - #### isc_dsql_execute_m

          ISC_STATUS isc_dsql_execute_m(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        com.sun.jna.ptr.IntByReference stmtHandle,
                                        short inBlrLength,
                                        byte[] inBlr,
                                        short inMsgType,
                                        short inMsgLength,
                                        java.nio.ByteBuffer inMsg)

      Original signature : `ISC_STATUS isc_dsql_execute_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:988

    - #### isc_dsql_execute_m

          ISC_STATUS isc_dsql_execute_m(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        com.sun.jna.ptr.IntByReference stmtHandle,
                                        short inBlrLength,
                                        byte[] inBlr,
                                        short inMsgType,
                                        short inMsgLength,
                                        byte[] inMsg)

      Original signature : `ISC_STATUS isc_dsql_execute_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:988

    - #### isc_dsql_execute2_m

          ISC_STATUS isc_dsql_execute2_m(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference trHandle,
                                         com.sun.jna.ptr.IntByReference stmtHandle,
                                         short inBlrLength,
                                         byte[] inBlr,
                                         short inMsgType,
                                         short inMsgLength,
                                         java.nio.ByteBuffer inMsg,
                                         short outBlrLength,
                                         java.nio.ByteBuffer outBlr,
                                         short outMsgType,
                                         short outMsgLength,
                                         java.nio.ByteBuffer outMsg)

      Original signature : `ISC_STATUS isc_dsql_execute2_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:997

    - #### isc_dsql_execute2_m

          ISC_STATUS isc_dsql_execute2_m(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference trHandle,
                                         com.sun.jna.ptr.IntByReference stmtHandle,
                                         short inBlrLength,
                                         byte[] inBlr,
                                         short inMsgType,
                                         short inMsgLength,
                                         byte[] inMsg,
                                         short outBlrLength,
                                         byte[] outBlr,
                                         short outMsgType,
                                         short outMsgLength,
                                         java.nio.ByteBuffer outMsg)

      Original signature : `ISC_STATUS isc_dsql_execute2_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:997

    - #### isc_dsql_execute_immediate_m

          ISC_STATUS isc_dsql_execute_immediate_m(ISC_STATUS[] statusVector,
                                                  com.sun.jna.ptr.IntByReference dbHandle,
                                                  com.sun.jna.ptr.IntByReference trHandle,
                                                  short u1,
                                                  byte[] ISC_SCHARPtr1,
                                                  short u2,
                                                  short u3,
                                                  java.nio.ByteBuffer ISC_SCHARPtr2,
                                                  short u4,
                                                  short u5,
                                                  java.nio.ByteBuffer ISC_SCHARPtr3)

      Original signature : `ISC_STATUS isc_dsql_execute_immediate_m(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1011

    - #### isc_dsql_exec_immed3_m

          ISC_STATUS isc_dsql_exec_immed3_m(ISC_STATUS[] statusVector,
                                            com.sun.jna.ptr.IntByReference dbHandle,
                                            com.sun.jna.ptr.IntByReference trHandle,
                                            short u1,
                                            byte[] ISC_SCHARPtr1,
                                            short u2,
                                            short u3,
                                            java.nio.ByteBuffer ISC_SCHARPtr2,
                                            short u4,
                                            short u5,
                                            byte[] ISC_SCHARPtr3,
                                            short u6,
                                            java.nio.ByteBuffer ISC_SCHARPtr4,
                                            short u7,
                                            short u8,
                                            java.nio.ByteBuffer ISC_SCHARPtr5)

      Original signature : `ISC_STATUS isc_dsql_exec_immed3_m(ISC_STATUS*, isc_db_handle*, isc_tr_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1023

    - #### isc_dsql_fetch_m

          ISC_STATUS isc_dsql_fetch_m(ISC_STATUS[] statusVector,
                                      com.sun.jna.ptr.IntByReference stmtHandle,
                                      short u1,
                                      java.nio.ByteBuffer ISC_SCHARPtr1,
                                      short u2,
                                      short u3,
                                      java.nio.ByteBuffer ISC_SCHARPtr2)

      Original signature : `ISC_STATUS isc_dsql_fetch_m(ISC_STATUS*, isc_stmt_handle*, unsigned short, ISC_SCHAR*, unsigned short, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1040

    - #### isc_dsql_insert_m

          ISC_STATUS isc_dsql_insert_m(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference stmtHandle,
                                       short u1,
                                       byte[] ISC_SCHARPtr1,
                                       short u2,
                                       short u3,
                                       byte[] ISC_SCHARPtr2)

      Original signature : `ISC_STATUS isc_dsql_insert_m(ISC_STATUS*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1048

    - #### isc_dsql_prepare_m

          ISC_STATUS isc_dsql_prepare_m(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference trHandle,
                                        com.sun.jna.ptr.IntByReference stmtHandle,
                                        short length,
                                        byte[] statement,
                                        short dialect,
                                        short itemListBufferLength,
                                        byte[] itemListBuffer,
                                        short resultBufferLength,
                                        java.nio.ByteBuffer resultBuffer)

      Original signature : `ISC_STATUS isc_dsql_prepare_m(ISC_STATUS*, isc_tr_handle*, isc_stmt_handle*, unsigned short, const ISC_SCHAR*, unsigned short, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1056

    - #### isc_dsql_release

          ISC_STATUS isc_dsql_release(ISC_STATUS[] statusVector,
                                      byte[] ISC_SCHARPtr1)

      Original signature : `ISC_STATUS isc_dsql_release(ISC_STATUS*, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1067

    - #### isc_service_attach

          ISC_STATUS isc_service_attach(ISC_STATUS[] statusVector,
                                        short serviceLength,
                                        byte[] service,
                                        com.sun.jna.ptr.IntByReference svcHandle,
                                        short spbLength,
                                        byte[] spb)

      Original signature : `ISC_STATUS isc_service_attach(ISC_STATUS*, unsigned short, const ISC_SCHAR*, isc_svc_handle*, unsigned short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1259

    - #### isc_service_detach

          ISC_STATUS isc_service_detach(ISC_STATUS[] statusVector,
                                        com.sun.jna.ptr.IntByReference svcHandle)

      Original signature : `ISC_STATUS isc_service_detach(ISC_STATUS*, isc_svc_handle*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1266

    - #### isc_service_query

          ISC_STATUS isc_service_query(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference svcHandle,
                                       com.sun.jna.ptr.IntByReference reserved,
                                       short sendSpbLength,
                                       byte[] sendSpb,
                                       short requestSpbLength,
                                       byte[] requestSpb,
                                       short bufferLength,
                                       java.nio.ByteBuffer buffer)

      Original signature : `ISC_STATUS isc_service_query(ISC_STATUS*, isc_svc_handle*, isc_resv_handle*, unsigned short, const ISC_SCHAR*, unsigned short, const ISC_SCHAR*, unsigned short, ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1269

    - #### isc_service_start

          ISC_STATUS isc_service_start(ISC_STATUS[] statusVector,
                                       com.sun.jna.ptr.IntByReference svcHandle,
                                       com.sun.jna.ptr.IntByReference reserved,
                                       short spbLength,
                                       byte[] spb)

      Original signature : `ISC_STATUS isc_service_start(ISC_STATUS*, isc_svc_handle*, isc_resv_handle*, unsigned short, const ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1279

    - #### fb_shutdown

          int fb_shutdown(int int1,
                          int int2)

      Original signature : `int fb_shutdown(unsigned int, const int)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1289

    - #### fb_shutdown_callback

          ISC_STATUS fb_shutdown_callback(ISC_STATUS[] statusVector,
                                          FbClientLibrary.FbShutdownCallback FB_SHUTDOWN_CALLBACK1,
                                          int int1,
                                          com.sun.jna.Pointer voidPtr1)

      Original signature : `ISC_STATUS fb_shutdown_callback(ISC_STATUS*, FB_SHUTDOWN_CALLBACK, const int, void*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1291

    - #### fb_cancel_operation

          ISC_STATUS fb_cancel_operation(ISC_STATUS[] statusVector,
                                         com.sun.jna.ptr.IntByReference dbHandle,
                                         short kind)

      Original signature : `ISC_STATUS fb_cancel_operation(ISC_STATUS*, isc_db_handle*, ISC_USHORT)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1296

    - #### isc_get_client_version

          void isc_get_client_version(java.nio.ByteBuffer ISC_SCHARPtr1)

      Original signature : `void isc_get_client_version(ISC_SCHAR*)`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1304

    - #### isc_get_client_major_version

          int isc_get_client_major_version()

      Original signature : `int isc_get_client_major_version()`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1305

    - #### isc_get_client_minor_version

          int isc_get_client_minor_version()

      Original signature : `int isc_get_client_minor_version()`
      native declaration : C:\Program Files\Firebird\Firebird_2_5\include\ibase.h:1306

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.